Support » Plugin: Loco Translate » Error: Page not found

  • Resolved kobzew

    (@kobzew)


    good day
    I have 2 templates from https://www.elmastudio.de/en/
    they are on the same hosting, with the same conditions.
    but in one case everything works perfectly and in the other there isn’t
    Please see, maybe this code will tell you what the error is?
    thank

    
    admin.js?ver=2.2.0:98 Передайте следующий текст при отправке сообщения о проблеме:
    —-
    Status 404 “Неизвестная ошибка” (text/html; charset=UTF-8 19641 bytes)
    Страница не найдена — Crimco.ru
    window._wpemojiSettings = {“baseUrl”:”https:\/\/s.w.org\/images\/core\/emoji\/11\/72×72\/”,”ext”:”.png”,”svgUrl”:”https:\/\/s.w.org\/images\/core\/emoji\/11\/svg\/”,”svgExt”:”.svg”,”source”:{“concatemoji”:”https:\/\/crimco.ru\/wp-includes\/js\/wp-emoji-release.min.js?ver=5.0.3″}};
    !function(a,b,c){function d(a,b){var c=String.fromCharCode;l.clearRect(0,0,k.width,k.height),l.fillText(c.apply(this,a),0,0);var d=k.toDataURL();l.clearRect(0,0,k.width,k.height),l.fillText(c.apply(this,b),0,0);var e=k.toDataURL();return d===e}function e(a){var b;if(!l||!l.fillText)return!1;switch(l.textBaseline=”top”,l.font=”600 32px Arial”,a){case”flag”:return!(b=d([55356,56826,55356,56819],[55356,56826,8203,55356,56819]))&&(b=d([55356,57332,56128,56423,56128,56418,56128,56421,56128,56430,56128,56423,56128,56447],[55356,57332,8203,56128,56423,8203,56128,56418,8203,56128,56421,8203,56128,56430,8203,56128,56423,8203,56128,56447]),!b);case”emoji”:return b=d([55358,56760,9792,65039],[55358,56760,8203,9792,65039]),!b}return!1}function f(a){var c=b.createElement(“script”);c.src=a,c.defer=c.type=”text/javascript”,b.getElementsByTagName(“head”)[0].appendChild(c)}var g,h,i,j,k=b.createElement(“canvas”),l=k.getContext&&k.getContext(“2d”);for(j=Array(“flag”,”emoji”),c.supports={everything:!0,everythingExceptFlag:!0},i=0;i<j.length;i++)c.supports[j[i]]=e(j[i]),c.supports.everything=c.supports.everything&&c.supports[j[i]],”flag”!==j[i]&&(c.supports.everythingExceptFlag=c.supports.everythingExceptFlag&&c.supports[j[i]]);c.supports.everythingExceptFlag=c.supports.everythingExceptFlag&&!c.supports.flag,c.DOMReady=!1,c.readyCallback=function(){c.DOMReady=!0},c.supports.everything||(h=function(){c.readyCallback()},b.addEventListener?(b.addEventListener(“DOMContentLoaded”,h,!1),a.addEventListener(“load”,h,!1)):(a.attachEvent(“onload”,h),b.attachEvent(“onreadystatechange”,function(){“complete”===b.readyState&&c.readyCallback()})),g=c.source||{},g.concatemoji?f(g.concatemoji):g.wpemoji&&g.twemoji&&(f(g.twemoji),f(g.wpemoji)))}(window,document,window._wpemojiSettings);
    img.wp-smiley,
    img.emoji {
    display: inline !important;
    border: none !important;
    box-shadow: none !important;
    height: 1em !important;
    width: 1em !important;
    margin: 0 .07em !important;
    vertical-align: -0.1em !important;
    background: none !important;
    padding: 0 !important;
    }
    .entry-content p a,
    blockquote cite a,
    .textwidget a,
    .about-text-wrap a,
    #comments .comment-text a,
    .authorbox p.author-description a,
    .entry-content p a:hover,
    blockquote cite a:hover,
    #comments .comment-text a:hover,
    .authorbox p.author-description a:hover {color: #1e73be;}
    a#mobile-open-btn,
    a#mobile-close-btn,
    a#desktop-open-btn,
    a#desktop-close-btn {
    color: #dd3333;
    }
    #wpadminbar { display:none; }
    html { margin-top: 32px !important; }
    * html body { margin-top: 32px !important; }
    @media screen and ( max-width: 782px ) {
    html { margin-top: 46px !important; }
    * html body { margin-top: 46px !important; }
    }

    

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Tim W

    (@timwhitlock)

    Please see FAQ:
    https://localise.biz/wordpress/plugin/faqs/ajax-errors

    Most likely one of the servers has different firewall rules. I can’t offer personal help with this. Your or your hosting provider will have to fix it.

    asked the hosting company. it turned out that on the site where the translation does not work is worth php version 7.2. and where php version 5.6 works. Could there be a mistake in this? thank.

    Plugin Author Tim W

    (@timwhitlock)

    Loco Translate is PHP 7.2 compatible, but if you want to be sure, please try the latest development version as there has been some pretty minor PHP 7 fixes of late.

    Regardless, I fail to see how PHP compatibility could cause your site to render a general WordPress 404 page. Your exact problem is reported to me several times per week and nobody has ever demonstrated that this error is caused by anything other than a server configuration.

    Good morning
    Problem solved
    Hosting said so
    “Disabled mod_security for crimco.ru, translation works.”

    Thank you very much for your work))

    • This reply was modified 4 months, 2 weeks ago by  kobzew.
Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.